=== debian/changelog ===
kde4libs (4:4.6.2-0ubuntu4) natty; urgency=low

  * Add kubuntu_81_fix_solid_network_status.diff to fix Solid reporting the
    network status as "unknown" improperly.

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 19 Apr 2011 00:03:52 -0400

kde4libs (4:4.6.2-0ubuntu3) natty; urgency=low

  * Fix translation lookup of non-KDE desktop files which don't have a gettext
    context.
    - Update kubuntu_05_langpack_desktop_files.diff

 -- Felix Geyer <debfx-pkg@fobos.de>  Sun, 10 Apr 2011 23:43:09 +0200

kde4libs (4:4.6.2-0ubuntu2) natty; urgency=low

  * Add patches from upstream for plasma mobile
   - kubuntu_80-KIO-PreviewJob-Respect-the-enabled-plugins-from-Prev.diff
   - kubuntu_81-give-Corona-a-proper-private-header-in-private.diff
   - kubuntu_82-FEATURE-configurable-default-containment-plugin-name.diff

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 07 Apr 2011 13:52:38 +0100

kde4libs (4:4.6.2-0ubuntu1) natty; urgency=low

  * New upstream release.
  * Update symbol files.

 -- Felix Geyer <debfx-pkg@fobos.de>  Sat, 02 Apr 2011 13:24:00 +0200

kde4libs (4:4.6.1-0ubuntu2) natty; urgency=low

  * Import kubuntu_02_no_direct_gl_usage.diff from upstream KDE
    - removes direct GL usage from glapplet, eliminates need to link against
      libGL

 -- Harald Sitter <apachelogger@ubuntu.com>  Wed, 09 Mar 2011 15:18:04 +0100

kde4libs (4:4.6.1-0ubuntu1) natty; urgency=low

  [ Michał Zając ]
  * New upstream release
  * Refreshed kubuntu_06_user_disk_mounting.diff
  * Refreshed kubuntu_77_ksambashare.diff
  * Refreshed *.install files

  [ Jonathan Riddell ]
  * Add back kubuntu_77_no_kbookmark_write_error.diff workaround for LP:
    #627815

 -- Michał Zając <quintasan@kubuntu.org>  Sun, 27 Feb 2011 14:10:59 +0100

kde4libs (4:4.6.0-0ubuntu5) natty; urgency=low

  * Add missing samba headers to kdelibs5-dev.install
  * Update kubuntu_77_ksambashare.diff to master

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 21 Feb 2011 16:40:23 +0000

kde4libs (4:4.6.0-0ubuntu4) natty; urgency=low

  * Update kubuntu_77_ksambashare.diff to master
  * Add kubuntu_78_hide_old_file_share.diff to hide the old file share tab

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 21 Feb 2011 14:11:15 +0000

kde4libs (4:4.6.0-0ubuntu3) natty; urgency=low

  * Add kubuntu_77_ksambashare.diff with patch from git master to
    add Samba sharing support to libs

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 14 Feb 2011 16:44:26 +0000

kde4libs (4:4.6.0-0ubuntu2) natty; urgency=low

  * In kdelibs5-plugins recommend ttf-dejavu-core not ttf-dejavu,
    saves disk space, thanks Felix Geyer

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 01 Feb 2011 14:56:15 +0000

kde4libs (4:4.6.0-0ubuntu1) natty; urgency=low

  [ Jonathan Riddell ]
  * New upstream release
  * Reluctantly add kcm_ssl to kdelibs5-plugins, this should be in kdebase
  * Remove libhupnp-dev build-dep, not used by upstream in this release

  [ Scott Kitterman ]
  * Update libkatepartinterfaces4.symbols and libkdecore5.symbols for 4.5.95
    and confirm symbols on all architectures with pkgkde-symbolshelper
    - Thanks to Jonathan Thomas for verifying the missing symbols

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 21 Jan 2011 11:32:24 +0000

kde4libs (4:4.5.95-0ubuntu1) natty; urgency=low

  * New upstream RC release
    - Refreshed patches
  * Add usr/include/krecentdirs.h to kdelibs5-dev.install

 -- Scott Kitterman <scott@kitterman.com>  Tue, 04 Jan 2011 23:55:45 -0500

kde4libs (4:4.5.90-0ubuntu1) natty; urgency=low

  [ Jonathan Riddell ]
  * New upstream RC release
  * Remove kubuntu_69_declare_debugger_pid.diff applied upstream
  * Remove kubuntu_77_no_kbookmark_write_error.diff applied upstream

  [ Jonathan Thomas ]
  * Get rid of missing symbols that were either private or pollution from
    linked libraries. (The KRating* move from libnepomuk to kdeui is not an
    ABI break since libnepomuk links against kdeui)

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 09 Dec 2010 17:00:17 -0500

kde4libs (4:4.5.85a-0ubuntu2) natty; urgency=low

  * Confirm symbols files on all archs with pkgkde-symbols helper
  * Update symbols files (still need to investigate where the missing went)

 -- Scott Kitterman <scott@kitterman.com>  Wed, 08 Dec 2010 23:20:19 -0500

kde4libs (4:4.5.85a-0ubuntu1) natty; urgency=low

  * New upstream beta release
    - drop kubuntu_78_solid_trunk.diff and kubuntu_80_find_hupnp.diff, 
      applied upstream
    - disable 23_solid_no_double_build.diff, causes FTBFS
    - refresh kdelibs5-dev.install

 -- Philip Muskovac <yofel@gmx.net>  Mon, 06 Dec 2010 23:34:45 +0100

kde4libs (4:4.5.80a-0ubuntu6) natty; urgency=low

  * Fix the versioned break on libkwebkit-dev

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Fri, 03 Dec 2010 14:19:06 -0500

kde4libs (4:4.5.80a-0ubuntu5) natty; urgency=low

  * Correct kdelibs5-dev breaks version for libkwebkit-dev (<< 0.9~svn1123738)

 -- Scott Kitterman <scott@kitterman.com>  Fri, 03 Dec 2010 14:01:57 -0500

kde4libs (4:4.5.80a-0ubuntu4) natty; urgency=low

  * Bump various replaces to 4.5.80 for moved files

 -- Philip Muskovac <yofel@gmx.net>  Wed, 01 Dec 2010 21:33:23 +0100

kde4libs (4:4.5.80a-0ubuntu2) natty; urgency=low

  * Build-dep on libhupnp-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sun, 28 Nov 2010 11:40:31 +0000

kde4libs (4:4.5.80a-0ubuntu1) natty; urgency=low

  [ Scott Kitterman ]
  * New upstream beta release
    - Refreshed all patches
    - Updated debian/patches/10_make_libkdeinit4_private.diff to use Qfile
      instead of Qstring in kdecore/kernel/kstandarddirs_unix.cpp
    - Updated debian/patches/kubuntu_01_kubuntu_useragent.diff to provide
      Kubuntu in the Konqueror user agen string with the changes in
      kio/kio/kprotocolmanager.cpp
    - Partially updated debian/patches/kubuntu_05_langpack_desktop_files.diff
      and left the balance in kdecore/localization/klocale.cpp.rej for later
      revision

